<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.etl.mapper.EtlMpMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="entityResultMap" type="org.springblade.modules.etl.entity.EtlMpEntity">
        <result column="MP_CD" property="mpCd"/>
        <result column="MP_NM" property="mpNm"/>
        <result column="MP_ADDR" property="mpAddr"/>
        <result column="MP_ITEM" property="mpItem"/>
        <result column="IS_AUTO" property="isAuto"/>
        <result column="SOUR_TP" property="sourTp"/>
        <result column="wei_du" property="weiDu"/>
        <result column="jing_du" property="jingDu"/>

    </resultMap>

    <select id="selectList" resultMap="entityResultMap">
        SELECT
        d.MP_CD,d.MP_NM,d.MP_ADDR,d.MP_ITEM,d.IS_AUTO,d.SOUR_TP,d.wei_du,d.jing_du
        FROM
        WR_MP_B d
        WHERE 1=1
        <if test="entity.mpCd!=null">
            and d.MP_CD = #{entity.mpCd}
        </if>
    </select>
</mapper>
